package com.tuoheng.miniprogram.enums;

/**
 *  获取子部门列表返回码
 *      模块代码：20（部门管理）
 *      接口代码：06 （获取子部门列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
public enum QueryDeptChildListCodeEnum {

    DEPT_LIST_IS_FAILED(1200600, "获取子部门列表失败"),
    DEPT_ID_IS_NULL(1200601, "部门id为空"),
    DEPT_IS_NOT_EXIST(1200602, "部门不存在"),
    DEPT_LIST_IS_NULL(1200603, "子部门列表为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryDeptChildListCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
